<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>project</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="priority.timesheet.html">priority (timesheet)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="projectid.html">projectid</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">project</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>The project property is mandatory and should be the first property in a project file. It is used to capture basic attributes such as the project id, name and the expected time frame.</p>
        <p>Be aware that the dates for the project period default to UTC times. See <a href="interval2.html">interval2</a> for details.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>project [&lt;id&gt;] &lt;name&gt; [&lt;version&gt;] &lt;interval2&gt; [{ &lt;attributes&gt; }]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="4">Arguments</td>
      <td class="descr">id [<a href="The_TaskJuggler_Syntax.html#ID">ID</a>]</td>
      <td class="descr"><div>An optional ID. If you ever want to reference this property, you must specify your own unique ID. If no ID is specified one will be automatically generated. These IDs may become visible in reports, but may change at any time. You may never rely on automatically generated IDs.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">name [<a href="The_TaskJuggler_Syntax.html#STRING">STRING</a>]</td>
      <td class="descr"><div>The name of the project</div></td>
     </tr>
     <tr align="left">
      <td class="descr">version [<a href="The_TaskJuggler_Syntax.html#STRING">STRING</a>]</td>
      <td class="descr"><div>An optional version ID. This can be something simple as "4.2" or an ID tag of a revision control system. If not specified, it defaults to "1.0".</div></td>
     </tr>
     <tr align="left">
      <td class="descr">interval2</td>
      <td class="descr"><div>See <a href="interval2.html">interval2</a> for details.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2"><a href="Getting_Started.html#Structure_of_a_TJP_File">Global scope</a></td>
     </tr>
    </table></p>
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Attributes</td>
      <td class="descr" style="width:84%">
       <a href="alertlevels.html">alertlevels</a>, <a href="currency.html">currency</a>, <a href="currencyformat.html">currencyformat</a>, <a href="dailyworkinghours.html">dailyworkinghours</a>, <a href="extend.html">extend</a>, <a href="include.project.html">include (project)</a>, <a href="journalentry.html">journalentry</a>, <a href="now.html">now</a>, <a href="numberformat.html">numberformat</a>, <a href="scenario.html">scenario</a>, <a href="shorttimeformat.html">shorttimeformat</a>, <a href="timeformat.html">timeformat</a>, <a href="timezone.html">timezone</a>, <a href="timingresolution.html">timingresolution</a>, <a href="trackingscenario.html">trackingscenario</a>, <a href="weekstartsmonday.html">weekstartsmonday</a>, <a href="weekstartssunday.html">weekstartssunday</a>, <a href="workinghours.project.html">workinghours (project)</a>, <a href="yearlyworkingdays.html">yearlyworkingdays</a>
      </td>
     </tr></table></p>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="priority.timesheet.html">priority (timesheet)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="projectid.html">projectid</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
